Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4224 - Filling swap partition affects window launches
Summary: Filling swap partition affects window launches
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-27 17:23 UTC by Brian Gunney
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 15:41:30 UTC


Attachments (Terms of Use)

Description Brian Gunney 1999-07-27 17:23:01 UTC
Something seems to fail whenever I push the swap partition
to the limit (or at least close to it).  From that point on,
launching applications such as xterm, xfig, xdvi and emacs
(but NOT 'emacs -nw') gets me a bus error and core dump.
Netscape also fails with bus error but no core dump.  Not
all applications launching windows fail though; xv, gimp,
ee, xosview, gnome-help-browser, seem to be unaffected.

Shutting down and restarting the X server (by going down to
run level 1) does not fix the problem, but reboot does fix
it. If nothing is done, eventually (some hours later), the
problem goes away.

The problem appears with gdm and xdm as the display manager.
I'm running RH6.0, kernel-2.2.5-22, XFree86-3.3.3.1-52,
XFree86-SVGA-3.3.3.1-52.

Hardware: Intel MMX 166 MHz.  64MB RAM.  120MB swap
partition.

Comment 1 Preston Brown 1999-08-23 15:41:59 UTC
You are running into an out of memory condition, and when you are out
of memory, unpredictible things happen (i.e. clients will crash
unexpectedly).

Solution: increase swap space of keep less programs resident in
memory.

Comment 2 Brian Gunney 1999-08-24 12:02:59 UTC
Okay, but this condition seems to leave a lot of room for mischief.
Seems that ideally, afer some programs have been closed, the condition
should disappear instead of linger.


Note You need to log in before you can comment on or make changes to this bug.